<?php
/**
 * Required plugins
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$shieldgroup_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'shieldgroup' ),
	'page_builders' => esc_html__( 'Page Builders', 'shieldgroup' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'shieldgroup' ),
	'socials'       => esc_html__( 'Socials and Communities', 'shieldgroup' ),
	'events'        => esc_html__( 'Events and Appointments', 'shieldgroup' ),
	'content'       => esc_html__( 'Content', 'shieldgroup' ),
	'other'         => esc_html__( 'Other', 'shieldgroup' ),
);
$shieldgroup_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'shieldgroup' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'shieldgroup' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'shieldgroup' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'shieldgroup' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'shieldgroup' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['page_builders'],
	),
	'js_composer'                => array(
		'title'       => esc_html__( 'WPBakery PageBuilder', 'shieldgroup' ),
		'description' => esc_html__( "Popular PageBuilder which allows you to create excellent pages", 'shieldgroup' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'js_composer.jpg',
		'group'       => $shieldgroup_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'shieldgroup' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['ecommerce'],
	),
	'elegro-payment'             => array(
		'title'       => esc_html__( 'Elegro Crypto Payment', 'shieldgroup' ),
		'description' => esc_html__( "Extends WooCommerce Payment Gateways with an elegro Crypto Payment", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'elegro-payment.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['ecommerce'],
	),
	'instagram-feed'             => array(
		'title'       => esc_html__( 'Instagram Feed', 'shieldgroup' ),
		'description' => esc_html__( "Displays the latest photos from your profile on Instagram", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'instagram-feed.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['socials'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'shieldgroup' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['socials'],
	),
	'booked'                     => array(
		'title'       => esc_html__( 'Booked Appointments', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => 'booked.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['events'],
	),
	'quickcal'                     => array(
		'title'       => esc_html__( 'QuickCal', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => 'quickcal.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['events'],
	),
	'the-events-calendar'        => array(
		'title'       => esc_html__( 'The Events Calendar', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'the-events-calendar.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['events'],
	),
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'shieldgroup' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),

	'latepoint'                  => array(
		'title'       => esc_html__( 'LatePoint', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/latepoint/latepoint.png' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['events'],
	),
	'advanced-popups'                  => array(
		'title'       => esc_html__( 'Advanced Popups', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/advanced-popups/advanced-popups.jpg' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'devvn-image-hotspot'                  => array(
		'title'       => esc_html__( 'Image Hotspot by DevVN', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/devvn-image-hotspot/devvn-image-hotspot.png' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'ti-woocommerce-wishlist'                  => array(
		'title'       => esc_html__( 'TI WooCommerce Wishlist', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/ti-woocommerce-wishlist/ti-woocommerce-wishlist.png' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['ecommerce'],
	),
	'woo-smart-quick-view'                  => array(
		'title'       => esc_html__( 'WPC Smart Quick View for WooCommerce', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/woo-smart-quick-view/woo-smart-quick-view.png' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['ecommerce'],
	),
	'twenty20'                  => array(
		'title'       => esc_html__( 'Twenty20 Image Before-After', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => shieldgroup_get_file_url( 'plugins/twenty20/twenty20.png' ),
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'essential-grid'             => array(
		'title'       => esc_html__( 'Essential Grid', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'install'     => false,
		'logo'        => 'essential-grid.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'revslider'                  => array(
		'title'       => esc_html__( 'Revolution Slider', 'shieldgroup' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'revslider.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'sitepress-multilingual-cms' => array(
		'title'       => esc_html__( 'WPML - Sitepress Multilingual CMS', 'shieldgroup' ),
		'description' => esc_html__( "Allows you to make your website multilingual", 'shieldgroup' ),
		'required'    => false,
		'install'     => false,      // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'sitepress-multilingual-cms.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['content'],
	),
	'wp-gdpr-compliance'         => array(
		'title'       => esc_html__( 'Cookie Information', 'shieldgroup' ),
		'description' => esc_html__( "Allow visitors to decide for themselves what personal data they want to store on your site", 'shieldgroup' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'wp-gdpr-compliance.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['other'],
	),
	'gdpr-framework'         => array(
		'title'       => esc_html__( 'The GDPR Framework', 'shieldgroup' ),
		'description' => esc_html__( "Tools to help make your website GDPR-compliant. Fully documented, extendable and developer-friendly.", 'shieldgroup' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'gdpr-framework.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['other'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'shieldgroup' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'shieldgroup' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $shieldgroup_theme_required_plugins_groups['other'],
	),
);

if ( SHIELDGROUP_THEME_FREE ) {
	unset( $shieldgroup_theme_required_plugins['js_composer'] );
	unset( $shieldgroup_theme_required_plugins['booked'] );
	unset( $shieldgroup_theme_required_plugins['quickcal'] );
	unset( $shieldgroup_theme_required_plugins['the-events-calendar'] );
	unset( $shieldgroup_theme_required_plugins['calculated-fields-form'] );
	unset( $shieldgroup_theme_required_plugins['essential-grid'] );
	unset( $shieldgroup_theme_required_plugins['revslider'] );
	unset( $shieldgroup_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $shieldgroup_theme_required_plugins['trx_updater'] );
	unset( $shieldgroup_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
shieldgroup_storage_set( 'required_plugins', $shieldgroup_theme_required_plugins );
