<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0.50
 */

$shieldgroup_template_args = get_query_var( 'shieldgroup_template_args' );
if ( is_array( $shieldgroup_template_args ) ) {
	$shieldgroup_columns    = empty( $shieldgroup_template_args['columns'] ) ? 2 : max( 1, $shieldgroup_template_args['columns'] );
	$shieldgroup_blog_style = array( $shieldgroup_template_args['type'], $shieldgroup_columns );
} else {
	$shieldgroup_template_args = array();
	$shieldgroup_blog_style = explode( '_', shieldgroup_get_theme_option( 'blog_style' ) );
	$shieldgroup_columns    = empty( $shieldgroup_blog_style[1] ) ? 2 : max( 1, $shieldgroup_blog_style[1] );
}
$shieldgroup_blog_id       = shieldgroup_get_custom_blog_id( join( '_', $shieldgroup_blog_style ) );
$shieldgroup_blog_style[0] = str_replace( 'blog-custom-', '', $shieldgroup_blog_style[0] );
$shieldgroup_expanded      = ! shieldgroup_sidebar_present() && shieldgroup_get_theme_option( 'expand_content' ) == 'expand';
$shieldgroup_components    = ! empty( $shieldgroup_template_args['meta_parts'] )
							? ( is_array( $shieldgroup_template_args['meta_parts'] )
								? join( ',', $shieldgroup_template_args['meta_parts'] )
								: $shieldgroup_template_args['meta_parts']
								)
							: shieldgroup_array_get_keys_by_value( shieldgroup_get_theme_option( 'meta_parts' ) );
$shieldgroup_post_format   = get_post_format();
$shieldgroup_post_format   = empty( $shieldgroup_post_format ) ? 'standard' : str_replace( 'post-format-', '', $shieldgroup_post_format );

$shieldgroup_blog_meta     = shieldgroup_get_custom_layout_meta( $shieldgroup_blog_id );
$shieldgroup_custom_style  = ! empty( $shieldgroup_blog_meta['scripts_required'] ) ? $shieldgroup_blog_meta['scripts_required'] : 'none';

if ( ! empty( $shieldgroup_template_args['slider'] ) || $shieldgroup_columns > 1 || ! shieldgroup_is_off( $shieldgroup_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $shieldgroup_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( shieldgroup_is_off( $shieldgroup_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $shieldgroup_custom_style ) ) . "-1_{$shieldgroup_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $shieldgroup_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $shieldgroup_columns )
					. ' post_layout_' . esc_attr( $shieldgroup_blog_style[0] )
					. ' post_layout_' . esc_attr( $shieldgroup_blog_style[0] ) . '_' . esc_attr( $shieldgroup_columns )
					. ( ! shieldgroup_is_off( $shieldgroup_custom_style )
						? ' post_layout_' . esc_attr( $shieldgroup_custom_style )
							. ' post_layout_' . esc_attr( $shieldgroup_custom_style ) . '_' . esc_attr( $shieldgroup_columns )
						: ''
						)
		);
	shieldgroup_add_blog_animation( $shieldgroup_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'shieldgroup_action_show_layout', $shieldgroup_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $shieldgroup_template_args['slider'] ) || $shieldgroup_columns > 1 || ! shieldgroup_is_off( $shieldgroup_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
