<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0
 */

$shieldgroup_template_args = get_query_var( 'shieldgroup_template_args' );
if ( is_array( $shieldgroup_template_args ) ) {
	$shieldgroup_columns    = empty( $shieldgroup_template_args['columns'] ) ? 2 : max( 1, $shieldgroup_template_args['columns'] );
	$shieldgroup_blog_style = array( $shieldgroup_template_args['type'], $shieldgroup_columns );
    $shieldgroup_columns_class = shieldgroup_get_column_class( 1, $shieldgroup_columns, ! empty( $shieldgroup_template_args['columns_tablet']) ? $shieldgroup_template_args['columns_tablet'] : '', ! empty($shieldgroup_template_args['columns_mobile']) ? $shieldgroup_template_args['columns_mobile'] : '' );
} else {
	$shieldgroup_template_args = array();
	$shieldgroup_blog_style = explode( '_', shieldgroup_get_theme_option( 'blog_style' ) );
	$shieldgroup_columns    = empty( $shieldgroup_blog_style[1] ) ? 2 : max( 1, $shieldgroup_blog_style[1] );
    $shieldgroup_columns_class = shieldgroup_get_column_class( 1, $shieldgroup_columns );
}

$shieldgroup_post_format = get_post_format();
$shieldgroup_post_format = empty( $shieldgroup_post_format ) ? 'standard' : str_replace( 'post-format-', '', $shieldgroup_post_format );

?><div class="
<?php
if ( ! empty( $shieldgroup_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( shieldgroup_is_blog_style_use_masonry( $shieldgroup_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $shieldgroup_columns ) : esc_attr( $shieldgroup_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $shieldgroup_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $shieldgroup_columns )
		. ( 'portfolio' != $shieldgroup_blog_style[0] ? ' ' . esc_attr( $shieldgroup_blog_style[0] )  . '_' . esc_attr( $shieldgroup_columns ) : '' )
	);
	shieldgroup_add_blog_animation( $shieldgroup_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$shieldgroup_hover   = ! empty( $shieldgroup_template_args['hover'] ) && ! shieldgroup_is_inherit( $shieldgroup_template_args['hover'] )
								? $shieldgroup_template_args['hover']
								: shieldgroup_get_theme_option( 'image_hover' );

	if ( 'dots' == $shieldgroup_hover ) {
		$shieldgroup_post_link = empty( $shieldgroup_template_args['no_links'] )
								? ( ! empty( $shieldgroup_template_args['link'] )
									? $shieldgroup_template_args['link']
									: get_permalink()
									)
								: '';
		$shieldgroup_target    = ! empty( $shieldgroup_post_link ) && false === strpos( $shieldgroup_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$shieldgroup_components = ! empty( $shieldgroup_template_args['meta_parts'] )
							? ( is_array( $shieldgroup_template_args['meta_parts'] )
								? $shieldgroup_template_args['meta_parts']
								: explode( ',', $shieldgroup_template_args['meta_parts'] )
								)
							: shieldgroup_array_get_keys_by_value( shieldgroup_get_theme_option( 'meta_parts' ) );

	// Featured image
	shieldgroup_show_post_featured( apply_filters( 'shieldgroup_filter_args_featured',
        array(
			'hover'         => $shieldgroup_hover,
			'no_links'      => ! empty( $shieldgroup_template_args['no_links'] ),
			'thumb_size'    => ! empty( $shieldgroup_template_args['thumb_size'] )
								? $shieldgroup_template_args['thumb_size']
								: shieldgroup_get_thumb_size(
									shieldgroup_is_blog_style_use_masonry( $shieldgroup_blog_style[0] )
										? (	strpos( shieldgroup_get_theme_option( 'body_style' ), 'full' ) !== false || $shieldgroup_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( shieldgroup_get_theme_option( 'body_style' ), 'full' ) !== false || $shieldgroup_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => shieldgroup_is_blog_style_use_masonry( $shieldgroup_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $shieldgroup_components,
			'class'         => 'dots' == $shieldgroup_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $shieldgroup_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $shieldgroup_post_link )
												? '<a href="' . esc_url( $shieldgroup_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $shieldgroup_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $shieldgroup_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $shieldgroup_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!