<?php
/**
 * The template to display default site header
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0
 */

$shieldgroup_header_css   = '';
$shieldgroup_header_image = get_header_image();
$shieldgroup_header_video = shieldgroup_get_header_video();
if ( ! empty( $shieldgroup_header_image ) && shieldgroup_trx_addons_featured_image_override( is_singular() || shieldgroup_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$shieldgroup_header_image = shieldgroup_get_current_mode_image( $shieldgroup_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $shieldgroup_header_image ) || ! empty( $shieldgroup_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $shieldgroup_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $shieldgroup_header_image ) {
		echo ' ' . esc_attr( shieldgroup_add_inline_css_class( 'background-image: url(' . esc_url( $shieldgroup_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( shieldgroup_is_on( shieldgroup_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight shieldgroup-full-height';
	}
	$shieldgroup_header_scheme = shieldgroup_get_theme_option( 'header_scheme' );
	if ( ! empty( $shieldgroup_header_scheme ) && ! shieldgroup_is_inherit( $shieldgroup_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $shieldgroup_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $shieldgroup_header_video ) ) {
		get_template_part( apply_filters( 'shieldgroup_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'shieldgroup_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( shieldgroup_is_on( shieldgroup_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'shieldgroup_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'shieldgroup_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'shieldgroup_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
