<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0
 */

$shieldgroup_args = get_query_var( 'shieldgroup_logo_args' );

// Site logo
$shieldgroup_logo_type   = isset( $shieldgroup_args['type'] ) ? $shieldgroup_args['type'] : '';
$shieldgroup_logo_image  = shieldgroup_get_logo_image( $shieldgroup_logo_type );
$shieldgroup_logo_text   = shieldgroup_is_on( shieldgroup_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$shieldgroup_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $shieldgroup_logo_image['logo'] ) || ! empty( $shieldgroup_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $shieldgroup_logo_image['logo'] ) ) {
            if ( empty( $shieldgroup_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($shieldgroup_logo_image['logo']) && (int) $shieldgroup_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$shieldgroup_attr = shieldgroup_getimagesize( $shieldgroup_logo_image['logo'] );
				echo '<img src="' . esc_url( $shieldgroup_logo_image['logo'] ) . '"'
						. ( ! empty( $shieldgroup_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $shieldgroup_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $shieldgroup_logo_text ) . '"'
						. ( ! empty( $shieldgroup_attr[3] ) ? ' ' . wp_kses_data( $shieldgroup_attr[3] ) : '' )
						. '>';
			}
		} else {
			shieldgroup_show_layout( shieldgroup_prepare_macros( $shieldgroup_logo_text ), '<span class="logo_text">', '</span>' );
			shieldgroup_show_layout( shieldgroup_prepare_macros( $shieldgroup_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
