<?php
/**
 * The template to display Admin notices
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0.64
 */

$shieldgroup_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$shieldgroup_skins_args = get_query_var( 'shieldgroup_skins_notice_args' );
?>
<div class="shieldgroup_admin_notice shieldgroup_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$shieldgroup_theme_img = shieldgroup_get_file_url( 'screenshot.jpg' );
	if ( '' != $shieldgroup_theme_img ) {
		?>
		<div class="shieldgroup_notice_image"><img src="<?php echo esc_url( $shieldgroup_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'shieldgroup' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="shieldgroup_notice_title">
		<?php esc_html_e( 'New skins are available', 'shieldgroup' ); ?>
	</h3>
	<?php

	// Description
	$shieldgroup_total      = $shieldgroup_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$shieldgroup_skins_msg  = $shieldgroup_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $shieldgroup_total, 'shieldgroup' ), $shieldgroup_total ) . '</strong>'
							: '';
	$shieldgroup_total      = $shieldgroup_skins_args['free'];
	$shieldgroup_skins_msg .= $shieldgroup_total > 0
							? ( ! empty( $shieldgroup_skins_msg ) ? ' ' . esc_html__( 'and', 'shieldgroup' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $shieldgroup_total, 'shieldgroup' ), $shieldgroup_total ) . '</strong>'
							: '';
	$shieldgroup_total      = $shieldgroup_skins_args['pay'];
	$shieldgroup_skins_msg .= $shieldgroup_skins_args['pay'] > 0
							? ( ! empty( $shieldgroup_skins_msg ) ? ' ' . esc_html__( 'and', 'shieldgroup' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $shieldgroup_total, 'shieldgroup' ), $shieldgroup_total ) . '</strong>'
							: '';
	?>
	<div class="shieldgroup_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'shieldgroup' ), $shieldgroup_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="shieldgroup_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $shieldgroup_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'shieldgroup' );
			?>
		</a>
	</div>
</div>
